import javax.microedition.lcdui.*;
import javax.microedition.media.*;
import javax.microedition.media.control.*;

public class CameraCanvas
    extends Canvas {
  private QRMidlet midlet;
  
  public CameraCanvas(QRMidlet midlet, VideoControl videoControl) {
    int width = getWidth();
    int height = getHeight();
    
    this.midlet = midlet;
    
    videoControl.initDisplayMode(VideoControl.USE_DIRECT_VIDEO, this);
    try {
      videoControl.setDisplayFullScreen(true);
    }
    catch (MediaException me) {}

    videoControl.setVisible(true);
  }
  
  public void paint(Graphics g) {};
  
  public void keyPressed(int keyCode) {
    int action = getGameAction(keyCode);
    if (action == FIRE)
      midlet.capture();
  }
}
